HomeTokenhotAPI Document
Tools
language
language
  • 中文
  • English
HomeTokenhotAPI Document
Tools
language
language
  • 中文
  • English
  1. Gemini
  • OpenAI-Compatible Format — Unified LLM API Documentation
  • Quick Start
  • Image Models
    • DOUBAO
      • doubao-seedream-4-0-250828
      • doubao-seedream-4-5-251128
      • doubao-seedream-5-0-260128
      • doubao-seedream-4-0-250828 (image editing)
      • doubao-seedream-4-5-251128 (Picture editing)
      • doubao-seedream-5-0-260128 (image editing)
    • GPT
      • GPT Image-1.5
      • GPT Image-1.5 (image editing)
      • GPT Image-2 (image editing)
      • GPT Image-2
      • gpt-image-2-text-to-image
      • gpt-image-2-image-to-image
    • Gemini
      • gemini-3-pro-image-preview
      • gemini-3-pro-image-preview (image editing)
      • gemini-2.5-flash-image
      • gemini-2.5-flash-image (image editing)
      • gemini-3.1-flash-image-preview
      • gemini-3.1-flash-image-preview (image editing)
      • nano-banana-pro
      • nano-banana-2
      • nano-banana-2-lite
    • Dall
      • dall-e-2
      • dall-e-3
    • Wan
      • wan2.6-image (image editing)
      • wan2.6-image
    • Qwen
      • qwen-image-edit-max-2026-01-16
      • qwen-image-max
      • qwen-image-plus-2026-01-09
  • Video Models
    • DOUBAO
      • doubao-seedance-2-0-260128
      • doubao-seedance-2.0 (Get video task information)
      • doubao-seedance-2.0-V2V (Get video task information)
      • doubao-seedance-2.0-fast (get video task information)
      • doubao-seedance-2.0-fast-V2V (Get video task information)
      • doubao-seedance-2.0
      • doubao-seedance-2.0-V2V
      • doubao-seedance-2.0-fast
      • doubao-seedance-2.0-fast-V2V
    • Sora
      • Sora-2
      • Sora-2 (Get Video Task Status)
      • Sora-2 (Get Video Content)
    • MiniMax
      • MiniMax-Hailuo-02
      • MiniMax-Hailuo-2.3
      • MiniMax-Hailuo-2.3-Fast
      • Hailuo Get Video Info
    • HappyHorse
      • happyhorse-1.0-t2v
      • HappyHorse Get Video Info
      • happyhorse-1.0-video-edit
      • happyhorse-1.0-r2v
      • happyhorse-1.0-i2v
    • Kling
      • kling-v3
        • Text-to-Video (kling-v3)
        • First/Last Frame Video Generation (kling-v3)
        • Subject-Controlled Video Generation (kling-v3)
      • kling-v3-omni
        • Text-to-Video (kling-v3-omni)
        • First/Last Frame Video Generation (kling-v3-omni)
        • Subject-Controlled Video Generation (kling-v3-omni)
      • Create Subject
      • Query Subject
      • Query Video Task
    • Grok
      • grok-imagine-video-1-5-preview
      • Query Video Task
    • Veo
      • veo3.1
      • veo3.1 Video Extension (extend)
      • Query Video Task
    • Gemini
      • Create Character (omni character)
      • Create Voice (omni audio)
      • gemini-omni-video
      • Query Video Task
  • Chat Models
    • Claude
      • claude-sonnet-4-5-20250929
      • claude-opus-4-6
      • claude-opus-4-6-cc
    • GPT
      • GPT 5
      • GPT 5(Responses)
      • GPT 5.2
      • GPT 5.2(Responses)
      • GPT 5.4
      • GPT 5.4(Responses)
    • Gemini
      • gemini-2.5-flash
        POST
      • gemini-2.5-pro
        POST
      • gemini-3-flash-preview
        POST
      • gemini-3.1-pro
        POST
      • gemini-3.1-pro-preview
        POST
      • gemini-3.1-pro-preview (streaming)
        POST
    • Grok
      • grok-4.1
  • Audio Models
    • Gemini
      • gemini-2.5-flash-preview-tts
      • gemini-2.5-pro-preview-tts
    • Whisper
      • whisper-1 (audio translation)
      • whisper-1 (Audio to Chinese)
    • MiMo
      • mimo-v2.5-tts (Preset Voice Speech Synthesis)
      • mimo-v2.5-tts-voiceclone (Voice Cloning Speech Synthesis)
      • mimo-v2.5-tts-voicedesign (Text-Designed Voice Speech Synthesis)
  • Serve
    • Privacy agreement
    • Terms of Service
  1. Gemini

gemini-3.1-pro

POST
https://api.tokenhot.ai/v1beta/models/{model}:generateContent
The core breakthrough of Gemini 3.1 Pro is its shift from static compute allocation to a dynamic “Test-Time Compute” architecture.This means that the model can intelligently allocate different computing resources and time according to the complexity of the task, rather than consuming a fixed amount of computing power for each token.This transformation is achieved through its signature three-level thinking system (Low/Medium/High).
Low mode pursues extreme speed response and is suitable for high-throughput tasks such as translation and simple classification.The Medium model strikes a balance between speed and depth, covering most everyday office scenarios.High mode activates the parallel thinking technology derived from "Gemini 3 Deep Think", allowing the model to explore multiple problem-solving paths at the same time, and filter the optimal solution through the internal evaluation mechanism, which is specifically used to deal with complex problems that require several minutes of in-depth thinking such as code audit and strategic analysis.This fine-grained control allows developers to accurately weigh cost, latency, and output quality according to SLA requirements.Actual API Endpoint: POST https://api.tokenhot.ai/v1beta/models/{model}:generateContent
Model Code: gemini-3.1-pro

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Path Params

Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
Request successful
Bodyapplication/json

🟠400400 en
🟠401401 en
🔴503503 en
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.tokenhot.ai/v1beta/models/gemini-3.1-pro:generateContent' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "contents": [
        {
            "role": "user",
            "parts": [
                {
                    "text": "Hello"
                },
                {
                    "inlineData": {
                        "mimeType": "image/jpeg",
                        "data": "Picture base64"
                    }
                }
            ]
        }
    ]
}'
Response Response Example
200 - Example 1
{
    "candidates": [
        {
            "content": {
                "role": "model",
                "parts": [
                    {
                        "text": "string"
                    }
                ]
            },
            "finishReason": "STOP",
            "safetyRatings": [
                {
                    "category": "string",
                    "probability": "string"
                }
            ]
        }
    ],
    "usageMetadata": {
        "promptTokenCount": 0,
        "candidatesTokenCount": 0,
        "totalTokenCount": 0
    }
}
Modified at 2026-06-22 09:55:43
Previous
gemini-3-flash-preview
Next
gemini-3.1-pro-preview
Built with